Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
enrollments
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.Enrollments.GetAsync(
            "id"
        );
    }

}
[
  {
    "id": "<string>",
    "type": "<string>",
    "name": "<string>",
    "identifier": "<string>",
    "phone_number": "<string>",
    "enrolled_at": "2023-11-07T05:31:56Z",
    "last_auth": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to list enrollments for.

Response

Enrollments successfully retrieved.

id
string

ID of this enrollment.

status
enum<string>

Status of this enrollment. Can be pending or confirmed.

Available options:
pending,
confirmed
type
string

Type of enrollment.

name
string

Name of enrollment (usually phone number).

Maximum string length: 20
identifier
string

Device identifier (usually phone identifier) of this enrollment.

phone_number
string

Phone number for this enrollment.

auth_method
enum<string>

Authentication method for this enrollment. Can be authenticator, guardian, sms, webauthn-roaming, or webauthn-platform.

Available options:
authenticator,
guardian,
sms,
webauthn-platform,
webauthn-roaming
enrolled_at
string<date-time>

Start date and time of this enrollment.

last_auth
string<date-time>

Last authentication date and time of this enrollment.